## xchat-xsys 2.0.9

=== Makefile ===
#### SET THIS VALUE TO THE LOCATION OF THE `pci.ids` file ####
PCIIDS = /usr/share/misc/pci.ids

#### UNCOMMENT THIS IF YOU WANT THE BUTTONS ####
#BUTTON = -Dbuttonbar

#### SHOULD NOT NEED TO EDIT BELOW THIS LINE ####
VER_MAJOR = 2
VER_MINOR = 0
VER_PATCH = 9
CC = gcc
CFLAGS += -O2 -Wall -fPIC
# FOR AUDACIOUS # CFLAGS += -I/usr/include/audacious -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DUSE_AUDACIOUS
# FOR BMP # CFLAGS += -I/usr/include/beep-media-player -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DUSE_BMP
# FOR XMMS # CFLAGS += -I/usr/include/xmms -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DUSE_XMMS
CFLAGS += -DVER_MINOR=$(VER_MINOR) -DVER_MAJOR=$(VER_MAJOR) -DVER_PATCH=$(VER_PATCH) \
          -DVER_STRING=\"$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)\" -DPCIIDS=\"$(PCIIDS)\" $(BUTTON)
LDFLAGS = $(CFLAGS) -shared
LIBRARY = xsys-$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH).so
OBJECTS = xsys.o parse.o pci.o match.o hwmon.o
# FOR AUDACIOUS # NPLIB = -laudacious
# FOR BMP # NPLIB = -lbeep
# FOR XMMS # NPLIB = -lxmms

ALL : $(LIBRARY)

$(LIBRARY) : $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(LIBRARY) $(OBJECTS) -lpci $(NPLIB)

xsys.o : xsys.c
parse.o : parse.c
pci.o : pci.c
match.o : match.c
hwmon.o : hwmon.c

.PHONY : clean
clean :
	rm -rf *.o *.so *~

.PHONY : install
install : $(LIBRARY)
	rm -f $(HOME)/.xchat2/xsys-plugin.so
	cp ./$(LIBRARY) $(HOME)/.xchat2/xsys-plugin.so

## xchat-xsys 2.2.0

=== Makefile ===
#### SET THIS VALUE TO THE LOCATION OF THE `pci.ids` file ####
PCIIDS = /usr/share/misc/pci.ids

#### UNCOMMENT THIS IF YOU WANT THE BUTTONS ####
#BUTTON = -Dbuttonbar

#### SHOULD NOT NEED TO EDIT BELOW THIS LINE ####
VER_MAJOR = 2
VER_MINOR = 2
VER_PATCH = 0
CC = gcc
CFLAGS += -O2 -Wall -fPIC
CFLAGS += $(shell pkg-config dbus-1 --cflags) $(shell pkg-config glib-2.0 --cflags)
CFLAGS += -DVER_MINOR=$(VER_MINOR) -DVER_MAJOR=$(VER_MAJOR) -DVER_PATCH=$(VER_PATCH) \
          -DVER_STRING=\"$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)\" -DPCIIDS=\"$(PCIIDS)\" $(BUTTON)
LDFLAGS = $(CFLAGS) -shared
LIBRARY = xsys-$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH).so
OBJECTS = xsys.o parse.o pci.o match.o hwmon.o

ALL : $(LIBRARY)

$(LIBRARY) : $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(LIBRARY) $(OBJECTS) -lpci $(shell pkg-config dbus-1 --libs) $(shell pkg-config glib-2.0 --libs) -laudclient

xsys.o : xsys.c
parse.o : parse.c
pci.o : pci.c
match.o : match.c
hwmon.o : hwmon.c

.PHONY : clean
clean :
	rm -rf *.o *.so *~

.PHONY : install
install : $(LIBRARY)
	rm -f $(HOME)/.xchat2/xsys-plugin.so
	cp ./$(LIBRARY) $(HOME)/.xchat2/xsys-plugin.so

=== debian/changelog ===
xchat-xsys (2.2.0-4) unstable; urgency=medium

  * Replace build-dep on audacious/dbus.h switched off to libaudclient-dev.
    Thanks LucasNussbaum! (Closes: #759861). 
  * Refresh package policy:
    - d/control: Bump up Standard-Versions.
    - d/rules: Switch to dh_auto and bump up dependency on v9.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 30 Aug 2014 19:53:01 -0300

xchat-xsys (2.2.0-3) unstable; urgency=low

  * The 'hey-long-time-no-see' dupload.
  * Include local patch to include /ether by default (Closes: #687446).
  * Build using hardening flags, build-dep on dpkg-dev because of that and add
    local patch to fix chainbuilder LDFLAGS glitch.
  * Switch to 3.0 quilt source format.
  * Switch to machine-readable copyright.
  * Enhance porting targets on debian/rules.
  * Bump up Standards-Version to 3.9.3 (no relevant changes required).
  * Switch to my @d.o account.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 05 Nov 2012 19:59:16 -0300

xchat-xsys (2.2.0-2) unstable; urgency=low

  * libpci-dev replaced pciutils-dev (Closes: #478399).

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 29 Apr 2008 14:03:01 -0300

xchat-xsys (2.2.0-1) unstable; urgency=high

  * New upstrem release (Closes: #352350, #372306).
  * New maintainer: http://lists.debian.org/debian-devel/2008/03/msg00377.html.
  * Fixing dynamic dependence on old libpci.so.2.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 11 Mar 2008 14:13:05 -0200

xchat-xsys (2.0.9-1) unstable; urgency=low

  * Initial release. (Closes: #339619)

 -- Ricardo Markiewicz <rmarkie@fi.uba.ar>  Tue, 23 Aug 2005 11:09:59 -0300

=== debian/control ===
Source: xchat-xsys
Section: misc
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9), libpci-dev, libaudclient-dev
Standards-Version: 3.9.5
Homepage: http://dev.gentoo.org/~chainsaw/xsys/

Package: xchat-xsys
Architecture: any
Depends: xchat (>= 2.4.0), ${shlibs:Depends}, ${misc:Depends}
Recommends: audacious
Description: x-chat plugin that can display your current system statistics 
 X-Sys is a plugin for X-Chat that allows you to display your current system
 statistics in a channel, private conversation or just in an echo to yourself
 for testing purposes.
 .
 The plugin can display the following information:
   * Number of CPU's and their specifications.
   * Operating system information.
   * Video card type.
   * Sound card type.
   * Memory and swap usage.
   * Disk usage.
   * Ethernet card type.
   * Network traffic, both current and total.
   * Currently supporting audacious.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
		dh_install xsys-2.2.0.so usr/lib/xchat/plugins

## xchat-xsys 2.2.0-2maemo1

=== debian/changelog ===
xchat-xsys (2.2.0-2maemo1) unstable; urgency=low

  * Ported to Maemo

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 27 Dec 2008 11:53:34 +0000

=== debian/control ===
Source: xchat-xsys
Section: user/network
Priority: optional
XSBC-Original-Maintainer: Ulises Vitulli <uvitulli@fi.uba.ar>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.3

Package: xchat-xsys
Architecture: any
Depends: xchat (>= 2.4.0), ${shlibs:Depends}, ${misc:Depends}
Description: x-chat plugin that can display your current system statistics 
 X-Sys is a plugin for X-Chat that allows you to display your current system
 statistics in a channel, private conversation or just in an echo to yourself
 for testing purposes.
 .
 The plugin can display the following information:
   * Number of CPU's and their specifications.
   * Operating system information.
   * Memory and swap usage.
   * Disk usage.
   * Ethernet card type.
   * Network traffic, both current and total.
 .
 Homepage: http://dev.gentoo.org/~chainsaw/xsys/
XB-Maemo-Display-Name: X-Sys Plugin For X-Chat

## xchat-xsys 2.2.0-2maemo2

=== Makefile ===
#### UNCOMMENT THIS IF YOU WANT THE BUTTONS ####
#BUTTON = -Dbuttonbar

#### SHOULD NOT NEED TO EDIT BELOW THIS LINE ####
VER_MAJOR = 2
VER_MINOR = 2
VER_PATCH = 0
CC = gcc
CFLAGS += -O2 -Wall -fPIC
CFLAGS += $(shell pkg-config glib-2.0 --cflags)
CFLAGS += -DVER_MINOR=$(VER_MINOR) -DVER_MAJOR=$(VER_MAJOR) -DVER_PATCH=$(VER_PATCH) \
          -DVER_STRING=\"$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)\" $(BUTTON)
LDFLAGS = $(CFLAGS) -shared
LIBRARY = xsys-$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH).so
OBJECTS = xsys.o parse.o match.o hwmon.o

ALL : $(LIBRARY)

$(LIBRARY) : $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(LIBRARY) $(OBJECTS) $(shell pkg-config glib-2.0 --libs)

xsys.o : xsys.c
parse.o : parse.c
match.o : match.c
hwmon.o : hwmon.c

.PHONY : clean
clean :
	rm -rf *.o *.so *~

.PHONY : install
install : $(LIBRARY)
	rm -f $(HOME)/.xchat2/xsys-plugin.so
	cp ./$(LIBRARY) $(HOME)/.xchat2/xsys-plugin.so

=== debian/changelog ===
xchat-xsys (2.2.0-2maemo2) unstable; urgency=low

  * Forgot build-deps. ARRGH!

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 27 Dec 2008 12:02:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Ulises Vitulli <uvitulli@fi.uba.ar>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), libglib2.0-dev
 Standards-Version: 3.7.3
 
 Package: xchat-xsys

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/lib/xchat/plugins
	dh_install xsys-2.2.0.so usr/lib/xchat/plugins

# Build architecture-independent files here.
binary-indep: build install
# Blank here :)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_link
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
